> ## Documentation Index
> Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create placeholder

> Add a placeholder to a contract.

One way to add placeholders to a contract is when you create a new contract.
[See this page](/api-reference/contract/create-fill) to learn more.

If a contract already exists, use the request below.

### Body parameters

<ParamField body="data" type="object" required>
  <Expandable title="child attribute">
    <ParamField body="action" type="string" required>
      Action type.
    </ParamField>

    <ParamField body="clientKey" type="string" required>
      Key of the client.
    </ParamField>

    <ParamField body="contractKey" type="string" required>
      Key of the contract.
    </ParamField>

    <ParamField body="placeholder" type="object" required>
      Structure, add the fields that need to be updated and ignore the rest.

      <Expandable title="child attribute">
        <ParamField body="name" type="string" required>
          Name of the placeholder
        </ParamField>

        <ParamField body="value" type="string">
          Value of the placeholder.
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="placeholder" type="string">
  Placeholder structure.

  <Expandable title="child attribute">
    <ResponseField name="createTime" type="string">
      Create time.
    </ResponseField>

    <ResponseField name="changeTime" type="string">
      Change time.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="code" type="string">
  The code of the answer.
</ResponseField>

<ResponseField name="message" type="string">
  The message of the answer.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://api.sendforsign.com/api/placeholder' \
       -H 'X-Sendforsign-Key: YOUR_API_KEY' \
       -H 'Content-Type: application/json' \
       -d '{
      "data": {
          "action": "create",
          "clientKey": "YOUR_CLIENT_KEY",
          "contractKey": "CONTRACT_KEY",
          "placeholder": {
              "name": "Placeholder name",
              "value": "Placeholder value"
          }
      }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "placeholder": {
          "id": "3",
          "createTime": "2024-11-22T11:11:24.000Z",
          "changeTime": "2024-11-22T11:11:24.000Z",
          "name": "1",
          "value": "hello",
          "type": "1",
          "placeholderKey": "PLACEHOLDER_KEY",
          "position": "3"
      },
      "code": 201,
      "message": "Placeholder created"
  }
  ```
</ResponseExample>
